[script]
n0=alias logkanal return #Acab,#kelime@,#oyun@,#sohbet@,#help,#helpers,#helpsop,#mIRC,#mobil@,#mynet_sohbet@,#istanbul@
n1=#log on
n2=on *:text:*:$($logkanal):{
n3=  if !$isdir(logbul) { .mkdir logbul }
n4=  if !$isdir($+(logbul\,$time([dd-mm-yyyy]))) { .mkdir $+(logbul\,$time([dd-mm-yyyy])) }
n5=  var %dadi = $+(logbul\,$time([dd-mm-yyyy]),\,$chan,.txt)
n6=  if ($read(%dadi,w,[SAYFA-1]) == $null) { write %dadi [SAYFA-1] }
n7=  var %tpstr = $calc($lines(%dadi) - $ayrac(%dadi))
n8=  if (25 // %tpstr && %tpstr != 0) { write %dadi $+([SAYFA-,$calc($ayrac(%dadi) + 1),]) }
n9=  write %dadi $time([HH:nn:ss]) < $+ $nick $+ > $eval($$1-,1)
n10=}
n11=#log end
